<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>MapOfTiles</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.Map, class: MapOfTiles">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapOfTiles.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.Map</a></div>
<h1 title="Class MapOfTiles" class="title">Class MapOfTiles</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.util.AbstractMap&lt;K,&#8203;V&gt;
<div class="inheritance">java.util.HashMap
<div class="inheritance">Heroes.Map.MapOfTiles</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Cloneable</code>, <code>java.util.Map</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">MapOfTiles</span>
extends java.util.HashMap</pre>
<div class="block">MapOfTile class to store object and create map</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jordan Rey-Jouanchicot</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../serialized-form.html#Heroes.Map.MapOfTiles">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.util.AbstractMap</h2>
<a id="nested.classes.inherited.from.class.java.util.AbstractMap">
<!--   -->
</a><code>java.util.AbstractMap.SimpleEntry&lt;K extends java.lang.Object,&#8203;V extends java.lang.Object&gt;, java.util.AbstractMap.SimpleImmutableEntry&lt;K extends java.lang.Object,&#8203;V extends java.lang.Object&gt;</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from interface&nbsp;java.util.Map</h2>
<a id="nested.classes.inherited.from.class.java.util.Map">
<!--   -->
</a><code>java.util.Map.Entry&lt;K extends java.lang.Object,&#8203;V extends java.lang.Object&gt;</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">MapOfTiles</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createMap()">createMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Create hash map with all values to not constructible and with key (xy encoded) at index</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHeightShift()">getHeightShift</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets height shift.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPathList()">getPathList</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets path list.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTiles()">getTiles</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets tiles hashmap.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWidthShift()">getWidthShift</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets width shift.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(int,javafx.scene.layout.Pane)">render</a></span>&#8203;(int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Render a case and rerender case over it to avoid texture issue</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(int,javafx.scene.layout.Pane,java.lang.String)">render</a></span>&#8203;(int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root,
java.lang.String&nbsp;ress)</code></th>
<td class="colLast">
<div class="block">Render</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(javafx.scene.layout.Pane,int,int,int)">render</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root,
int&nbsp;nextKey,
int&nbsp;previousKey,
int&nbsp;key)</code></th>
<td class="colLast">
<div class="block">Render path</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#renderMap(javafx.scene.layout.Pane)">renderMap</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Render map.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#renderOnePath(javafx.scene.layout.Pane,int)">renderOnePath</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root,
int&nbsp;key)</code></th>
<td class="colLast">
<div class="block">Render one path.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#renderOverTile(int,javafx.scene.layout.Pane)">renderOverTile</a></span>&#8203;(int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Render a case and rerender case over it to avoid texture issue</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unrender(int,javafx.scene.layout.Pane)">unrender</a></span>&#8203;(int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Unrender.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateMap()">updateMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Update the hashmap of tiles</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateMap(int,Heroes.Tile.Tile,java.util.HashMap)">updateMap</a></span>&#8203;(int&nbsp;key,
<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&nbsp;tile,
java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;&nbsp;hm)</code></th>
<td class="colLast">
<div class="block">Update hash map of tiles.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.util.HashMap</h3>
<a id="methods.inherited.from.class.java.util.HashMap">
<!--   -->
</a><code>clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.util.AbstractMap</h3>
<a id="methods.inherited.from.class.java.util.AbstractMap">
<!--   -->
</a><code>equals, hashCode, toString</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;java.util.Map</h3>
<a id="methods.inherited.from.class.java.util.Map">
<!--   -->
</a><code>equals, hashCode</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">MapOfTiles</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">MapOfTiles</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getWidthShift()">getWidthShift</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getWidthShift</span>()</div>
<div class="block">Gets width shift.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the width shift</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getHeightShift()">getHeightShift</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getHeightShift</span>()</div>
<div class="block">Gets height shift.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the height shift</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createMap()">createMap</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</span>&nbsp;<span class="memberName">createMap</span>()</div>
<div class="block">Create hash map with all values to not constructible and with key (xy encoded) at index</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hash map</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="updateMap()">updateMap</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</span>&nbsp;<span class="memberName">updateMap</span>()</div>
<div class="block">Update the hashmap of tiles</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hash map</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="renderMap(javafx.scene.layout.Pane)">renderMap</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">renderMap</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Render map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="renderOnePath(javafx.scene.layout.Pane,int)">renderOnePath</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">renderOnePath</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root,
int&nbsp;key)</span></div>
<div class="block">Render one path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
<dd><code>key</code> - the key</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="render(javafx.scene.layout.Pane,int,int,int)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root,
int&nbsp;nextKey,
int&nbsp;previousKey,
int&nbsp;key)</span></div>
<div class="block">Render path</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
<dd><code>nextKey</code> - the next key</dd>
<dd><code>previousKey</code> - the previous key</dd>
<dd><code>key</code> - the key</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="updateMap(int,Heroes.Tile.Tile,java.util.HashMap)">updateMap</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</span>&nbsp;<span class="memberName">updateMap</span>&#8203;(<span class="arguments">int&nbsp;key,
<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&nbsp;tile,
java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;&nbsp;hm)</span></div>
<div class="block">Update hash map of tiles.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>tile</code> - the tile</dd>
<dd><code>hm</code> - the hm</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hash map</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="render(int,javafx.scene.layout.Pane)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Render a case and rerender case over it to avoid texture issue</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="render(int,javafx.scene.layout.Pane,java.lang.String)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root,
java.lang.String&nbsp;ress)</span></div>
<div class="block">Render</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>root</code> - the root</dd>
<dd><code>ress</code> - the ressource to set (image)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="renderOverTile(int,javafx.scene.layout.Pane)">renderOverTile</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">renderOverTile</span>&#8203;(<span class="arguments">int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Render a case and rerender case over it to avoid texture issue</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="unrender(int,javafx.scene.layout.Pane)">unrender</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">unrender</span>&#8203;(<span class="arguments">int&nbsp;key,
javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Unrender.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPathList()">getPathList</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;java.lang.Integer&gt;</span>&nbsp;<span class="memberName">getPathList</span>()</div>
<div class="block">Gets path list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the path list</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTiles()">getTiles</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.HashMap&lt;java.lang.Integer,&#8203;<a href="../Tile/Tile.html" title="class in Heroes.Tile">Tile</a>&gt;</span>&nbsp;<span class="memberName">getTiles</span>()</div>
<div class="block">Gets tiles hashmap.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tiles</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapOfTiles.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
